Summary:	The MM and QM calculations library
Summary(pl.UTF-8):	Biblioteka do obliczeń z zakresu mechaniki molekularnej i kwantowej
Name:		libghemical
Version:	3.0.0
Release:	2
License:	GPL v2+
Group:		Libraries
Source0:	http://bioinformatics.org/ghemical/download/current/%{name}-%{version}.tar.gz
# Source0-md5:	1d5c9c19bb119470d2bb41a7e681eafd
URL:		http://bioinformatics.org/ghemical/ghemical/index.html
BuildRequires:	OpenGL-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel
BuildRequires:	intltool >= 0.40.0
BuildRequires:	lapack-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:1.5
BuildRequires:	mopac7-devel >= 1.13
BuildRequires:	mpqc-devel >= 1.2.5
BuildRequires:	pkgconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The MM and QM calculations library.

%description -l pl.UTF-8
Biblioteka do obliczeń z zakresu mechaniki molekularnej i kwantowej.

%package devel
Summary:	Header files for libghemical library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libghemical
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Requires:	mopac7-devel >= 1.13
Requires:	mpqc-devel >= 1.2.5

%description devel
Header files for libghemical library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libghemical.

%package static
Summary:	Static libghemical library
Summary(pl.UTF-8):	Statyczna biblioteka libghemical
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libghemical library.

%description static -l pl.UTF-8
Statyczna biblioteka libghemical.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--enable-mopac7 \
	--enable-mpqc
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog TODO
%attr(755,root,root) %{_libdir}/libghemical.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libghemical.so.5
%{_datadir}/libghemical

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libghemical.so
%{_libdir}/libghemical.la
%{_includedir}/ghemical
%{_pkgconfigdir}/libghemical.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libghemical.a
%changelog
* Fri May 26 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libghemical.git;a=log;h=auto/th/libghemical-3.0.0-2

* Thu May 25 2017 Jan Rękorajski <baggins@pld-linux.org> b60179c
- rebuild with lapack 3.7
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> bacf5cd
- updated gettext BR

* Sun Oct 16 2011 Jakub Bogusz <qboosh@pld-linux.org> f8e7f9f
- updated to 3.0.0

* Thu Jan 27 2011 sparky <sparky@pld-linux.org> 9d70170
- BR: glib2-devel

* Sun Jan 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 73cf47a
- removed obsolete sed call
- fixed mopac7 and mpqc versions

* Thu Feb 25 2010 sparky <sparky@pld-linux.org> 6bc4df5
- BR: OpenGL-devel, gettext-devel, intltool, pkgconfig

* Thu Feb 25 2010 amateja <amateja@pld-linux.org> 91f987c
- use autotools

* Thu Feb 25 2010 amateja <amateja@pld-linux.org> 77c27f7
- updated to 2.99.1
- packaged locale

* Wed Jun 10 2009 amateja <amateja@pld-linux.org> 942ec19
- updated to 2.98

* Thu Nov 01 2007 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 38ae420
- up to 2.96, change URL and Source0 path

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c2aef5f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 8083ab4
- converted to UTF-8

* Sun Aug 27 2006 Jakub Bogusz <qboosh@pld-linux.org> 3f2ba99
- updated to 2.10

* Sun Jul 23 2006 Jakub Bogusz <qboosh@pld-linux.org> e014ffd
- new

